Botan: Botan::Cert_Extension::CRL_ReasonCode Class Reference

Botan 1.10.17

Public Member Functions | List of all members
Botan::Cert_Extension::CRL_ReasonCode Class Reference

`#include <x509_ext.h>`

Inheritance diagram for Botan::Cert_Extension::CRL_ReasonCode:

## Public Member Functions
CRL_ReasonCode * | copy () const
| CRL_ReasonCode (CRL_Code r=UNSPECIFIED)
CRL_Code | get_reason () const
OID | oid_of () const

## Detailed Description

CRL Entry Reason Code Extension

Definition at line 316 of file x509_ext.h.

## Constructor & Destructor Documentation

## ◆ CRL_ReasonCode()

Botan::Cert_Extension::CRL_ReasonCode::CRL_ReasonCode | ( | CRL_Code | r = `UNSPECIFIED` | ) |
| inline

Definition at line 321 of file x509_ext.h.

321 : reason(r) {}

## Member Function Documentation

## ◆ copy()

CRL_ReasonCode* Botan::Cert_Extension::CRL_ReasonCode::copy | ( |  | ) | const
| inlinevirtual

Make a copy of this extension

Returns
  copy of this

Implements Botan::Certificate_Extension.

Definition at line 319 of file x509_ext.h.

319 { return new CRL_ReasonCode(reason); }
Botan::Cert_Extension::CRL_ReasonCode::CRL_ReasonCode
CRL_ReasonCode(CRL_Code r=UNSPECIFIED)
Definition: x509_ext.h:321

## ◆ get_reason()

CRL_Code Botan::Cert_Extension::CRL_ReasonCode::get_reason | ( |  | ) | const
| inline

Definition at line 323 of file x509_ext.h.

323 { return reason; }

## ◆ oid_of()

OID Botan::Certificate_Extension::oid_of | ( |  | ) | const
| inherited

Returns
  OID representing this extension

Definition at line 72 of file x509_ext.cpp.

References Botan::OIDS::lookup(), and Botan::Certificate_Extension::oid_name().

Referenced by Botan::Extensions::encode_into().

73 {
74 return OIDS::lookup(oid_name());
75 }
Botan::Certificate_Extension::oid_name
virtual std::string oid_name() const =0
Botan::OIDS::lookup
std::string lookup(const OID &oid)
Definition: oids.cpp:31

The documentation for this class was generated from the following files:

- src/cert/x509cert/x509_ext.h
- src/cert/x509cert/x509_ext.cpp